#include<bits/stdc++.h>
using namespace std;

mt19937 rng(time(0));

int n,q,x,kmax;

int main(){
    freopen("noodle.in","w",stdout);
    printf("0 1 10\n");
    int T=1;
    while(T--){
        printf("%d %d %d 1000000000000000000\n",n=488,q=500,x=233);
        for(int i=1;i<=n;i++)printf("%d ",rng()%10000);
        puts("");
    }
}